      subroutine icsccu(x, y, nx, sc, ic, ierr)
C...Translated by Pacific-Sierra Research VAST-90 2.06G2  10:50:51  10/ 1/01  
C...Switches: -p4 -yb
      implicit none
C-----------------------------------------------
C   D u m m y   A r g u m e n t s
C-----------------------------------------------
      integer nx, ic, ierr
      real*8, dimension(nx) :: x, y
      real*8, dimension(ic,3) :: sc
C-----------------------------------------------
C   L o c a l   V a r i a b l e s
C-----------------------------------------------
      integer :: i, ilinx
      real*8 :: dummy
      real*8, dimension(4,nx) :: fspl
      real*8, dimension(5*nx) :: wk
      character :: isub*6 = 'icsccu'
C-----------------------------------------------
c
c--Check validity of spline coefficient row dimension.
c
      if (ic < nx - 1) go to 9000
c
c--Compute not-a-knot spline.
c
      fspl(1,:nx) = y(:nx)
      call r8cspline(x,nx,fspl,0,dummy,0,dummy,wk,5*nx,ilinx,ierr)
      if (ierr == 1) then
         ierr = 130
      else if (ierr == 2) then
         ierr = 131
      endif
      if (ierr /= 0) go to 9000
      sc(:,1) = fspl(2,:ic)
      sc(:,2) = fspl(3,:ic)
      sc(:,3) = fspl(4,:ic)
      go to 9990
c
c--Error exit.
c
 9000 continue
      call uertst (ierr, isub)
c
c--Normal exit.
c
 9990 continue
      return 
      end subroutine icsccu
